// SongTest.java
//
// Informatics 43 Spring 2009
// Code Example: Unit Testing with JUnit
//
// These are unit tests for the Song class.  Note the use of the SongFactory
// class to create songs with desired characteristics.

import org.junit.*;
import static org.junit.Assert.*;


public class SongTest
{
	private SongFactory songFactory;
	
	
	@Before
	public void createSongFactory()
	{
		songFactory = new SongFactory();
	}
	
	
	// The word "final" in this test and the one below it means "a value that
	// is not permitted to change."
	@Test
	public void songsHaveTheArtistGivenToThemWhenCreated()
	{
		final String ARTIST = "U2";
		assertEquals(ARTIST, songFactory.createSongWithArtist(ARTIST).getArtist());
	}
	
	
	@Test
	public void songsHaveTheTitleGivenToThemWhenCreated()
	{
		final String TITLE = "Moment of Surrender";
		assertEquals(TITLE, songFactory.createSongWithTitle(TITLE).getTitle());
	}
}
